# Package com.fasterxml.jackson.core.exc

Package for some of `JsonProcessingException` subtypes contained by streaming API.

See: Description

Exception Summary
InputCoercionException: Exception type for read-side problems that are not direct decoding ("parsing") problems (those would be reported as `JsonParseException`s), but rather result from failed attempts to convert specific Java value out of valid but incompatible input value.
StreamReadException: Intermediate base class for all read-side streaming processing problems, including parsing and input value coercion problems.
StreamWriteException: Intermediate base class for all read-side streaming processing problems, including parsing and input value coercion problems.

## Package com.fasterxml.jackson.core.exc Description

Package for some of `JsonProcessingException` subtypes contained by streaming API.